import { p as proxyCustomElement, H, h } from './p-BhqVmlhr.js';
import { d as defineCustomElement$b } from './p-BfkakbtL.js';
import { d as defineCustomElement$a } from './p-Bu11LCUv.js';
import { d as defineCustomElement$9 } from './p-BszteyZr.js';
import { d as defineCustomElement$8 } from './p-Cj35z9hD.js';
import { d as defineCustomElement$7 } from './p-Bw2J9lll.js';
import { d as defineCustomElement$6 } from './p-DiC-xcof.js';
import { d as defineCustomElement$5 } from './p-Cv0O724A.js';
import { d as defineCustomElement$4 } from './p-4rdrCxSX.js';
import { d as defineCustomElement$3 } from './p-V_F6lX0v.js';
import { d as defineCustomElement$2 } from './p-B_lMJn5K.js';

const DgaDateFieldUsage$1 = /*@__PURE__*/ proxyCustomElement(class DgaDateFieldUsage extends H {
    constructor() {
        super();
        this.__registerHost();
        this.value = '';
    }
    render() {
        return (h("div", { key: '6a37acaca6b95b061027a22ea9d63e146c6d4fee' }, h("h1", { key: '18ea23146e81aa4f76ed811c0f645aa62553cf59' }, "Date Field Example"), h("div", { key: '92cb20c17e2de92fef76d145601fdd98665bf771', style: { padding: '50px' } }, h("div", { key: '7461c66c0cbb96010a296a94bc8650689c9c5370', style: { display: "flex", flexDirection: "column", gap: "16px" } }, h("input", { key: '113c6985f800d48972236db9adf2bbc9daaedc85', type: "date", value: this.value, onChange: (e) => this.value = e.target.value }), h("dga-date-field", { key: '562d46619fc478bc9f7fd4d0d001e2617fbbe9f7', value: this.value, onChange: (e) => this.value = e.target.value })))));
    }
}, [0, "dga-date-field-usage", {
        "value": [32]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["dga-date-field-usage", "date-cell", "dga-button-v2", "dga-date-field", "dga-datepicker", "dga-helper-text", "dga-icon", "dga-icon-v2", "dga-label", "dga-text-input", "month-navigator"];
    components.forEach(tagName => { switch (tagName) {
        case "dga-date-field-usage":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, DgaDateFieldUsage$1);
            }
            break;
        case "date-cell":
            if (!customElements.get(tagName)) {
                defineCustomElement$b();
            }
            break;
        case "dga-button-v2":
            if (!customElements.get(tagName)) {
                defineCustomElement$a();
            }
            break;
        case "dga-date-field":
            if (!customElements.get(tagName)) {
                defineCustomElement$9();
            }
            break;
        case "dga-datepicker":
            if (!customElements.get(tagName)) {
                defineCustomElement$8();
            }
            break;
        case "dga-helper-text":
            if (!customElements.get(tagName)) {
                defineCustomElement$7();
            }
            break;
        case "dga-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$6();
            }
            break;
        case "dga-icon-v2":
            if (!customElements.get(tagName)) {
                defineCustomElement$5();
            }
            break;
        case "dga-label":
            if (!customElements.get(tagName)) {
                defineCustomElement$4();
            }
            break;
        case "dga-text-input":
            if (!customElements.get(tagName)) {
                defineCustomElement$3();
            }
            break;
        case "month-navigator":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
    } });
}

const DgaDateFieldUsage = DgaDateFieldUsage$1;
const defineCustomElement = defineCustomElement$1;

export { DgaDateFieldUsage, defineCustomElement };
